GFS_ACL_SET_FILE(3)

NAME
gfs_acl_set_file - set a Gfarm ACL by filename

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_acl_set_file(const char *gfarm_url, gfarm_acl_type_t type, gfarm_acl_t acl);

INPUT ARGUMENTS

gfarm_url
    A path name in the Gfarm filesystem.

type
    GFARM_ACL_TYPE_ACCESS (to set the access ACL) or GFARM_ACL_TYPE_DEFAULT (to set the default ACL).

acl
    An ACL structure type which is sorted.

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

GFARM_ERR_INVALID_ARGUMENT
    The argument acl does not point to a valid ACL.

Others
    An error except the above occurred. The reason is shown by gfarm_error_string(3).

SEE ALSO

gfs_acl_valid(3), gfs_acl_check(3), gfs_acl_sort(3), gfs_acl_delete_def_file(3), gfs_acl_get_file(3), gfs_attr(5)